Bug 430060 - Debugging an attached program gdb/frysk prevents suspend
Debugging an attached program gdb/frysk prevents suspend
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-24 05:20 EST by Mark Wielaard
Modified: 2009-01-09 02:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:37:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
kernel messages from /var/log/messages (211.43 KB, text/plain)
2008-01-24 05:20 EST, Mark Wielaard
no flags Details

  None (edit)
Description Mark Wielaard 2008-01-24 05:20:41 EST
Description of problem:

When in a debugging session with frysk fhpd or gdb suspend will not work.

Version-Release number of selected component (if applicable):

kernel- (i686)

How reproducible:

Always with the steps below.

Steps to Reproduce:
1. gdb -p $$
2. Try to suspend [dark screen for a while, then back to full dekstop session]
3. quit gdb session
4. Now suspend works again.
Actual results:

Suspend doesn't work unless the debugging session is quit.

Expected results:

Being able to suspend even during a debugging session.

Additional info:

Same results when other programs, like frysk fhpd, are attached to a program.
Kernel messages from /var/log/messages attached.
Comment 1 Mark Wielaard 2008-01-24 05:20:41 EST
Created attachment 292780 [details]
kernel messages from /var/log/messages
Comment 2 Roland McGrath 2008-01-24 05:32:40 EST
Reproduced on my laptop.
Comment 3 Bug Zapper 2008-11-26 04:33:02 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Mark Wielaard 2008-11-26 04:47:15 EST
This issue has been fixed in at least
I no longer have an fedora 8 install around to test against that though.
Comment 5 Bug Zapper 2009-01-09 02:37:22 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.